package com.yc.education.service;/**
 * huangpan
 * 2019/10/15
 * energy
 */

import com.yc.education.model.Orders;

import java.util.List;

/**
 *@ClassName OrdersService
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/15 11:35
 *@Version 1.0
 */
public interface OrdersService extends  IService<Orders> {
    /*查询是否包含数据*/
    List<Orders> getOrdersStartEnd(String startTime,String endTime);

    /*按会议室查询*/
    List<Orders>getOrdersCid(Integer id);

    /*删除*/
    void delOrderById(Integer id);

    /*查询是否包含数据的id*/
    List<Orders>   getOrdersStartEndId(String startTime,String endTime);

    /*按人员查询*/
    List<Orders>getOrdersPid(Integer id,Integer pageNum, Integer pageSize);

    /*查询所有*/
    List<Orders> getOrders(Integer pageNum, Integer pageSize);

    /*根据id查询已预约*/
    List<Orders>  getOrdersStartEndIds(Integer cid, String startTime);

    /*根据id，时间查询已预约信息*/
    List<Orders> getOrderCidTime(Integer id,String startTime,String endTime,Integer pageNum, Integer pageSize);

    /*根据cfpid，时间查询已预约信息*/
    List<Orders> getOrderCfpId(Integer cfpid,String startTime,String endTime);

        List<Orders> gethoutai(Integer cid,String startTime,String endTime,Integer pageNum, Integer pageSize);


        /*后台查询已预约信息*/
        List<Orders> getYyy(Integer pageNum, Integer pageSize);

        /*后台根据会议室查询*/
    List<Orders> getCoomsCid(Integer id,String startTime,String endTime,Integer pageNum, Integer pageSize);
}
